### Constructor

# Gtk MapListModel new

#### Declaration [src]

    GtkMapListModel*
    gtk_map_list_model_new (
      GListModel* model,
      GtkMapListModelMapFunc map_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Creates a new `GtkMapListModel` for the given arguments.

#### Parameters

`model` | `GListModel*`
| The model to map.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`map_func` | `GtkMapListModelMapFunc`
| Map function.
`user_data` | `gpointer`
| User data passed to `map_func`.
`user_destroy` | `GDestroyNotify`
| Destroy notifier for `user_data`.

#### Return value

Returns: | `GtkMapListModel`
| A new `GtkMapListModel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.